OGRE_NATIVE_GLSL_VERSION_DIRECTIVE
#include <OgreUnifiedShader.h>

OGRE_UNIFORMS(
	uniform mat4 worldViewProj;
)

OUT(vec3 vWorldPos, TEXCOORD0)

MAIN_PARAMETERS
IN(vec4 vertex, POSITION)
MAIN_DECLARATION
{
	gl_Position = worldViewProj * vertex;
	vWorldPos = vertex.xyz;
}
